    import StaticSuperclass from 'kayn/lib/Endpoints/StaticEndpoints/StaticSuperclass.js'

public class | source

# StaticSuperclass

#### Extends:

Endpoint~Endpoint → StaticSuperclass

#### Direct Subclass:

StaticChampionEndpoint, StaticItemEndpoint, StaticLanguageEndpoint, StaticLanguageStringsEndpoint, StaticMapEndpoint, StaticMasteryEndpoint, StaticProfileIconEndpoint, StaticRealmEndpoint, StaticReforgedRunePaths, StaticReforgedRunes, StaticRuneEndpoint, StaticSummonerSpellEndpoint, StaticTarballLinksEndpoint, StaticVersionEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | serviceName: string |

## Public Constructors

### public constructor() source

## Public Members

### public serviceName: string source